Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/imapfilter: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 24 May 2015 11:59:06 -0400

https://github.com/lefcha/imapfilter
Lua-based filtering for IMAP mailboxes
---
 testing/imapfilter/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/imapfilter/APKBUILD
diff --git a/testing/imapfilter/APKBUILD b/testing/imapfilter/APKBUILD
new file mode 100644
index 0000000..2beb7e2
--- /dev/null
+++ b/testing/imapfilter/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=imapfilter
+pkgver=2.5.7
+pkgrel=0
+pkgdesc="Lua-based filtering for IMAP mailboxes"
+url="https://github.com/lefcha/imapfilter"
+arch="all"
+license="MIT"
+depends="pcre openssl lua libcrypto1.0"
+depends_dev=
+makedepends="$depends_dev lua-dev openssl-dev pcre-dev libc-dev"
+install=
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/lefcha/$pkgname/archive/v${pkgver}.tar.gz/$pkgname-$pkgver.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr all || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make \
+        PREFIX=/usr \
+        MANDIR=/usr/share/man \
+        DESTDIR="$pkgdir" \
+        install
+}
+md5sums="5af01afcca4a24b46f113f36bc3eaef8  imapfilter-2.5.7.tar.gz"
+sha256sums="c792d6a3a187cdc14fc38470837b45722a3750dabd2c6f71672806eeef79fad0  imapfilter-2.5.7.tar.gz"
+sha512sums="9297e98812312fbf2c92aa5477bdfecb522048e45b4bc4922e312bd89a72b020a98f5547e3f0882ae665c24db21e6995eda839b762947adc48bc413ab0c882f1  imapfilter-2.5.7.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun May 24 2015 - 11:59:06 GMT